> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch integration data

> Retrieve integration configuration data for a specific integration slug and version



## OpenAPI

````yaml get /api/v2/integration/{integrationSlug}/{integrationVersion}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/integration/{integrationSlug}/{integrationVersion}:
    get:
      tags:
        - Integrations
      summary: Fetch integration data
      description: >-
        Retrieve integration configuration data for a specific integration slug
        and version
      parameters:
        - name: integrationSlug
          in: path
          required: true
          schema:
            type: string
          description: Slug identifier for the integration
          example: acme
        - name: integrationVersion
          in: path
          required: true
          schema:
            type: string
          description: Version of the integration (defaults to v1)
          example: v1
      responses:
        '200':
          description: Integration data found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
                  appId:
                    type: string
                    example: acme
                  appVersion:
                    type: string
                    example: v1
                  appData:
                    type: object
                    example:
                      key: value
        '400':
          description: Bad request - invalid integration slug
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid integration slug
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized Request
        '404':
          description: Integration data not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Integration data not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````